China | english

What PSS 4000 firmware version should I use?

Pilz always recommends to use the latest firmware version!

Attention! Only use PSS 4000 Version 1.6.1 firmware or higher, if you consider to go into production. If you may have further questions don't hesitate to contact our Technical Support at +49 711 3409-444, support@pilz.com

Headoffice

Pilz GmbH & Co. KG
Felix-Wankel-Straße 2
73760 Ostfildern
Germany

Telephone: +49 711 3409-0
E-Mail: pilz.gmbh@pilz.de

Technical Support

Telephone: +49 711 3409 444
E-Mail: support@pilz.com